/**
 * An entity component system library for JavaScript
 * @showCategories
 * @module ecsjs
 */
import { EntityMap } from './entity-map.js';
export { ComponentClassesMap, ComponentMap } from './component-map.js';
export { EntityMap } from './entity-map.js';
export type { ComponentNotRegistered, ComponentTypeKeyMissing } from './errors.js';
export { ComponentIterator } from './iterators.js';
export type { ComponentClass, IComponentIterator } from './types.js';
/**
 * Global instance of an {@link EntityMap}
 *
 * See the [cheat sheet](https://gitlab.com/ecsjs/ecs/-/blob/master/docs/cheat-sheet.md) for more examples
 * @category Constants
 * @example
 *
 * // register component(s)
 * ecs.register(Player, Position)
 *
 * // create an entity
 * const [player, position] = ecs.set(ecs.getNextId(), new Player(), new Position(10, 40))
 */
export declare const ecs: EntityMap;
//# sourceMappingURL=ecs.d.ts.map